# Views Extra Exposed Form Blocks

This module provides a Views display plugin which allows additional exposed form
blocks to be shown, which can be overridden to differ from a main exposed form
block.

For example, this can be used to create a view which shows a page with one set
of filters, and has a block shown on other parts of the site with
differently-configured filters.

One application of this is showing SearchAPI facets with their result counts and
with JavaScript auto-updating on a search results page, but showing the same
facets without those options in a block shown in a sitewide header.

## Requirements

This module requires no modules outside of Drupal core.

## Recommended modules

- [Search API](https://www.drupal.org/project/search_api): This module
 integrates with views based on SearchAPI indexes.
- [Facets](https://www.drupal.org/project/facets): This module integrates with
 views using Facets 3 exposed filters.

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

1. Create a view with a page display as normal
2. Add an 'Extra Exposed Form Block' display to the view
3. Set the 'Linked display' option of the 'Extra Exposed Form Block' to the page
   display
3. Override the Extra Exposed Form Block display's options as desired, such as
   the Filter Criteria and the Exposed Form sections
4. If the Extra Exposed Form Block display overrides filters to be single-valued
   where the linked display's equivalent is multi-valued, then additionally:
   1. Enable the 'Views Extra Exposed Form Block' in the Views advanced settings
      at  Administration » Structure » Views » Views settings » Advanced
   2. In the 'Exposed Form' options for the linked display, enable the 'Process
      query string parameters for Extra Exposed Form Block exposed filters'
      option.
