<?php

namespace Drupal\views_extra_exposed_form_blocks\Plugin\views\display;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\views\Attribute\ViewsDisplay;
use Drupal\views\Plugin\views\display\Embed;

/**
 * Provides an embed display which can be used with an exposed form block.
 */
#[ViewsDisplay(
  id: 'extra_exposed_form_block',
  title: new TranslatableMarkup('Extra Exposed Form Block'),
  help: new TranslatableMarkup('An embed display which allows the exposed form to be shown in a block.'),
  admin: new TranslatableMarkup('Extra Exposed Form Block'),
  theme: "views_view",
  register_theme: FALSE,
)]
class ExtraExposedFormBlock extends Embed {

  /**
   * {@inheritdoc}
   */
  public function usesExposedFormInBlock() {
    return TRUE;
  }

}
